<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (!checkrights("CRL")) { die("Denied"); exit; }
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

include INFUSIONS."crl_list/infusion_db.php";

if (file_exists(INFUSIONS."crl_list/locale/".$settings['locale'].".php")) {
	include INFUSIONS."crl_list/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."crl_list/locale/English.php";
}

add_to_title($locale['CRL001']); 

opentable($locale['CRL001']);

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."crl_list/search.css' />");
echo "<div style='float:left;'><a href='".INFUSIONS."crl_list/crl_list.php' title=''><img src='".INFUSIONS."crl_list/img/home.png' alt='' width='35' /></a></div>";
echo "<div style='float:left;margin-left:100px;'><form id='search_form' action='".FUSION_SELF."' style='text-align:center;'>";
echo "<input type='text' name='bsrchtext' class='textbox' style='margin-left:15px; margin-right:1px; margin-top:5px; margin-bottom:5px; width:250px;'  value='".$locale['SRCH158']."' onblur=\"if(this.value=='') this.value='".$locale['SRCH158']."';\" onfocus=\"if(this.value=='".$locale['SRCH158']."') this.value='';\" />";
echo "<input type='image' id='search_image' src='".INFUSIONS."crl_list/img/search_icon.png' alt='".$locale['SRCH158']."' />";
echo "</form>";
echo "</div>";
echo "<div style='float:right;'><a href='".INFUSIONS."crl_list/crl_admin.php".$aidlink."'><img src='".INFUSIONS."crl_list/img/edit.png' alt='' width='35' /></a></div>";
echo "<div style='clear:both;'></div>";
echo "<hr />";
if (isset($_GET['bsrchtext'])) {
include INFUSIONS."crl_list/search.php";
} else {
$rows = dbcount("(crl_id)", "".DB_CRL."");
if ($rows != 0) {
echo "<table align='center' width='100%' cellspacing='1'>
<tr>
<td align='center' class='tbl2' width='1%'><b>".$locale['CRL003']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['CRL002']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['CRL004']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['CRL005']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['CRL033']."</b></td>
</tr>\n";

$result = dbquery("SELECT * FROM ".DB_CRL." ORDER BY crl_datestamp DESC LIMIT ".$_GET['rowstart'].",20");

while ($data = dbarray($result)) {
$urlprefix = !strstr($data['crl_domain'], "http://") ? "http://" : "";
$usersite = "<a href='".$urlprefix.$data['crl_domain']."' title='".$data['crl_domain']."' target='_blank'>".$data['crl_domain']."</a>";

echo "<tr>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$usersite."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['crl_name']."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['crl_version']."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".showdate("shortdate", $data['crl_datestamp'])."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'><a href='".INFUSIONS."eshop/administration/admin.php".$aidlink."&amp;a_page=orders&amp;o_page=orders&amp;vieworder&amp;orderid=".$data['crl_oid']."'>".$data['crl_oid']."</a></td></tr>";
}
echo "</table>\n";

if ($rows >5) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'],20,$rows,3,INFUSIONS."crl_list/crl_list.php?")."</div>\n"; }

} else {
echo "<div class='admin-message'><br />".$locale['CRL010']." <br /><br /></div>";
}
}
closetable();
require_once THEMES."templates/footer.php";
?>