<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { die("Denied"); exit; }

if (file_exists(INFUSIONS."crl_list/locale/".$settings['locale'].".php")) {
	include INFUSIONS."crl_list/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."crl_list/locale/English.php";
}

include INFUSIONS."crl_list/infusion_db.php";

// Infusion general information
$inf_title = $locale['CRL001'];
$inf_description = $locale['CRL001'];
$inf_version = "1.0";
$inf_developer = "Domi";
$inf_email = "jocke@venue.nu";
$inf_weburl = "http://www.venue.nu";

$inf_adminpanel[1] = array(
	"title" => "Copyright removal license system",
	"image" => "../../infusions/crl_list/img/crl.png",
	"panel" => "crl_admin.php",
	"rights" => "CRL"
);

$inf_sitelink[1] = array(
	"title" => $inf_title,
	"url" => "crl_list.php",
	"visibility" => "103"
);

$inf_folder = "crl_list"; // The folder in which the infusion resides.
$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

$inf_newtable[1] = DB_CRL." (
  crl_id mediumint(8) unsigned NOT NULL auto_increment,
  crl_uid mediumint(8) unsigned NOT NULL,
  crl_domain varchar(100) NOT NULL default '',
  crl_version varchar(50) NOT NULL default '5',
  crl_name varchar(60) NOT NULL default '',
  crl_datestamp int(10) unsigned NOT NULL default '0',
  crl_auid mediumint(8) unsigned NOT NULL,
  crl_oid mediumint(8) unsigned NOT NULL,
  PRIMARY KEY  (crl_id)
) ENGINE=MyISAM; ";

$inf_droptable[1] = DB_CRL;
?>