<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: INSERT NAME HERE
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (!iADMIN) { die("Denied"); }

include INFUSIONS."personal_files/infusion_db.php";


// Infusion general information
$inf_title = "Personal files";
$inf_description = "Personal files system";
$inf_version = "1.0";
$inf_developer = "Domi";
$inf_email = "jocke@venue.nu";
$inf_weburl = "http://www.venue.nu";

$inf_adminpanel[1] = array(
	"title" => "Personal files",
	"image" => "../../infusions/personal_files/files.png",
	"panel" => "files_admin.php",
	"rights" => "PFS"
);


$inf_folder = "personal_files"; // The folder in which the infusion resides.
$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.


// Delete any items not required below.
$inf_newtable[1] = DB_PFILES." (
  file_id mediumint(8) unsigned NOT NULL auto_increment,
  file_user mediumint(8) unsigned NOT NULL default '0',
  PRIMARY KEY  (file_id)
) ENGINE=MyISAM; ";

$inf_newtable[2] = DB_PFILES_DB." (
  pfile_id mediumint(8) unsigned NOT NULL auto_increment,
  pfile_uid mediumint(8) unsigned NOT NULL,
  pfile_domain varchar(100) NOT NULL default '',
  pfile_version varchar(50) NOT NULL default '5',
  pfile_file varchar(60) NOT NULL default '',
  pfile_name varchar(60) NOT NULL default '',
  pfile_downloaded mediumint(10) NOT NULL default '0',
  pfile_datestamp int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (pfile_id)
) ENGINE=MyISAM; ";

$inf_droptable[1] = "personal_files";
$inf_droptable[2] = "personal_files_db";


?>
