<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: showmyfiles.php
| Author: Joakim Falk (Domi)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if(!iMEMBER){ die("Denied"); exit;}


include INFUSIONS."personal_files/infusion_db.php";

if (file_exists(INFUSIONS."personal_files/locale/".$settings['locale'].".php")) {
	include INFUSIONS."personal_files/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."personal_files/locale/English.php";
}


add_to_title(" - ".$userdata['user_name']."".$locale['PFS008'].""); 

opentable("".$userdata['user_name']."".$locale['PFS008']."");
$result = dbquery("SELECT * FROM ".DB_PFILES_DB." WHERE pfile_uid='".$userdata['user_id']."'");
$rows = dbrows($result);
if ($rows != 0) {
echo "<table align='center' width='100%' cellspacing='1'>
<tr>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS002']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS003']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS004']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS005']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS006']."</b></td>
<td align='center' class='tbl2' width='1%'><b>".$locale['PFS007']."</b></td>
</tr>\n";

$result = dbquery("SELECT * FROM ".DB_PFILES_DB." WHERE pfile_uid='".$userdata['user_id']."' ORDER BY pfile_id DESC");

while ($data = dbarray($result)) {
echo "<tr>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['pfile_name']."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['pfile_domain']."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['pfile_version']."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".showdate("shortdate", $data['pfile_datestamp'])."</td>";
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$data['pfile_downloaded']."</td>";
if ($data['pfile_file']) {
echo "<td class='small' align='center' width='1%' valign='middle' style='font-size:16px;'><a href='".INFUSIONS."personal_files/download.php?pfile_id=".$data['pfile_id']."'><img src ='".INFUSIONS."personal_files/download.png' alt='' /></a></td></tr>";
} else { 
echo "<td class='small' align='center' width='1%' style='font-size:16px;'>".$locale['PFS009']."</td></tr>";
}

}
echo "</table>\n";
} else {
echo "<div class='admin-message'><br />".$locale['PFS010']." <br /><br /></div>";
}
closetable();
require_once THEMES."templates/footer.php";
?>